Subject: Re: rm and mv commands: should I use them?

From: David Brown <[email-masked]>
Date: Sun, 6 Jan 2008 00:04:15 -0800

On Sun, Jan 06, 2008 at 03:55:22PM +0800, Jon Hancock wrote:

> So, do I need to use git's mv and rm commands?  Can't I just rename,  
> add, and remove files using any means I like and then just ensure my  
> "index" is staged properly when I do a commit?

Yes.  You can use either git-rm or 'git-commit -a' to remove files.  To
rename, you can use git-mv, or you can rename the file yourself, git-add
the new name, and git-rm the old name.

There is no metadata stored with git-mv and git-rm, they just update the
tree and the index.

Dave